module.exports.getCustomer = async (req, res) => {
    console.log('===== GET Customer =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let data = [
        {
            "enterpriseId": "$enterpriseId",
            "customerId": "$customerId",
            "userId": "$userId",
            "firstName": "$firstName",
            "lastName": "$lastName",
            "mobile": "$mobile",
            "emailAddress": "$emailAddress",
            "gender": "$gender",
            "birthdate": "$birthdate",
            "barFlag": "$barFlag",
            "userVerification": "$userVerification",
            "updatedDate": "$updatedDate",
            "createdDate": "$createdDate"
        }
    ]

    if (req.query.fields) {
        let filteredFields = req.query.fields.split(',')
        for (let d of data) {
            for (key in d) {
                if (!filteredFields.includes(key)) {
                    delete d[key]
                }
            }
        }
    }

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success",
        "resultData": data
    }

    res.send(response)
}

module.exports.postCustomer = async (req, res) => {
    console.log('===== POST Customer =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.putCustomer = async (req, res) => {
    console.log('===== PUT Customer =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.deleteCustomer = async (req, res) => {
    console.log('===== DELETE Customer =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.getMemberLink = async (req, res) => {
    console.log('===== GET MemberLink =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let data = [
        {
            "enterpriseId": "$enterpriseId",
            "memberLinkId": "$memberLinkId",
            "customerId": "$customerId",
            "memberId": "$memberId",
            "memberCardId": "$memberCardId",
            "activeStartDate": "$activeStartDate",
            "activeEndDate": "$activeEndDate"
        },
        {
            "enterpriseId": "$enterpriseId",
            "memberLinkId": "$memberLinkId",
            "customerId": "$customerId",
            "memberId": "$memberId",
            "memberCardId": "$memberCardId",
            "activeStartDate": "$activeStartDate",
            "activeEndDate": "$activeEndDate"
        }
    ]

    if (req.query.fields) {
        let filteredFields = req.query.fields.split(',')
        for (let d of data) {
            for (key in d) {
                if (!filteredFields.includes(key)) {
                    delete d[key]
                }
            }
        }
    }

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success",
        "resultData": data,
        "rowCount": '' + data.length
    }
    res.send(response)
}

module.exports.postMemberLink = async (req, res) => {
    console.log('===== POST MemberLink =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response;
    if(req.body.memberId == "memberId2") {
        response = {
            "resultCode": "20000",
            "resultDescription": "Success"
        }
    } else {
        response = {
            "resultCode": "20000",
            "resultDescription": "Success"
        }

    }

    res.send(response)




}

module.exports.putMemberLink = async (req, res) => {
    console.log('===== PUT MemberLink =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.deleteMemberLink = async (req, res) => {
    console.log('===== DELETE MemberLink =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.getAddress = async (req, res) => {
    console.log('===== GET Address =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let data = []

    for (let i = 0; i < 2; i++) {
        data.push({
            "enterpriseId": "$enterpriseId",
            "customerId": "$customerId",
            "addressId": (i + 1),
            "addressType": "$addressType",
            "addressInfo": "$addressInfo",
            "postcode": "$postcode",
            "defaultFlag": "$defaultFlag",
            "updatedDate": "$updatedDate",
            "createdDate": "$createdDate"
        })
    }

    if (req.query.fields) {
        let filteredFields = req.query.fields.split(',')
        for (let d of data) {
            for (key in d) {
                if (!filteredFields.includes(key)) {
                    delete d[key]
                }
            }
        }
    }

    let resultData = data

    if (req.query.offset) {
        resultData = resultData.slice(+req.query.offset)
    }

    if (req.query.limit) {
        resultData = resultData.slice(0, +req.query.limit)
    }

    // let response = {
    //     "resultCode": "20000",
    //     "resultDescription": "Success",
    //     "resultData": resultData,
    //     "rowCount": '' + data.length
    // }

    let response = {
        "resultCode": "40401",
        "resultDescription": "Data not found"
    }

    // res.send(response)
}

module.exports.postAddress = async (req, res) => {
    console.log('===== POST Address =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.putAddress = async (req, res) => {
    console.log('===== PUT Address =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.deleteAddress = async (req, res) => {
    console.log('===== DELETE Address =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.getMasterMember = async (req, res) => {
    console.log('===== GET Address =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let data = []

    for (let i = 0; i < 30; i++) {
        data.push({
            "enterpriseId": "$enterpriseId",
            "memberId": (i + 1),
            "memberType": "$memberType",
            "subMemberType": "$subMemberType",
            "memberDescription": "$memberDescription",
            "updatedBy": "$updatedBy",
            "updatedDate": "$updatedDate",
            "createdBy": "$createdBy",
            "createdDate": "$createdDate"
        })
    }

    if (req.query.fields) {
        let filteredFields = req.query.fields.split(',')
        for (let d of data) {
            for (key in d) {
                if (!filteredFields.includes(key)) {
                    delete d[key]
                }
            }
        }
    }

    let resultData = data

    if (req.query.offset) {
        resultData = resultData.slice(+req.query.offset)
    }

    if (req.query.limit) {
        resultData = resultData.slice(0, +req.query.limit)
    }

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success",
        "resultData": resultData,
        "rowCount": '' + data.length
    }

    res.send(response)
}

module.exports.postMasterMember = async (req, res) => {
    console.log('===== POST MasterMember =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.putMasterMember = async (req, res) => {
    console.log('===== PUT MasterMember =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.deleteMasterMember = async (req, res) => {
    console.log('===== DELETE MasterMember =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.getGender = async (req, res) => {
    console.log('===== GET gender =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let data = [
        {
            "enterpriseId": "$enterpriseId",
            "genderId": "1",
            "genderName": "Male",
            "createdBy": "$createdBy",
            "createdDate": "$createdDate",
            "updatedDate": "$updatedDate"
        },
        {
            "enterpriseId": "$enterpriseId",
            "genderId": "2",
            "genderName": "Female",
            "createdBy": "$createdBy",
            "createdDate": "$createdDate",
            "updatedDate": "$updatedDate"
        }
    ]

    if (req.query.fields) {
        let filteredFields = req.query.fields.split(',')
        for (let d of data) {
            for (key in d) {
                if (!filteredFields.includes(key)) {
                    delete d[key]
                }
            }
        }
    }

    let resultData = data

    if (req.query.offset) {
        resultData = resultData.slice(+req.query.offset)
    }

    if (req.query.limit) {
        resultData = resultData.slice(0, +req.query.limit)
    }

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success",
        "resultData": resultData,
        "rowCount": '' + data.length
    }
    res.send(response)
}

module.exports.postGender = async (req, res) => {
    console.log('===== POST Gender =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.putGender = async (req, res) => {
    console.log('===== PUT Gender =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.deleteGender = async (req, res) => {
    console.log('===== DELETE Gender =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.getAddressType = async (req, res) => {
    console.log('===== GET AddressType =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let data = [
        {
            "enterpriseId": "$enterpriseId",
            "addressTypeId": "1",
            "addressType": "$addressType",
            "typeName": "$typeName",
            "createdBy": "$createdBy",
            "createdDate": "$createdDate",
            "updatedDate": "$updatedDate"
        },
        {
            "enterpriseId": "$enterpriseId",
            "addressTypeId": "2",
            "addressType": "$addressType",
            "typeName": "$typeName",
            "createdBy": "$createdBy",
            "createdDate": "$createdDate",
            "updatedDate": "$updatedDate"
        },
        {
            "enterpriseId": "$enterpriseId",
            "addressTypeId": "3",
            "addressType": "$addressType",
            "typeName": "$typeName",
            "createdBy": "$createdBy",
            "createdDate": "$createdDate",
            "updatedDate": "$updatedDate"
        }
    ]

    if (req.query.fields) {
        let filteredFields = req.query.fields.split(',')
        for (let d of data) {
            for (key in d) {
                if (!filteredFields.includes(key)) {
                    delete d[key]
                }
            }
        }
    }

    let resultData = data

    if (req.query.offset) {
        resultData = resultData.slice(+req.query.offset)
    }

    if (req.query.limit) {
        resultData = resultData.slice(0, +req.query.limit)
    }

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success",
        "resultData": resultData,
        "rowCount": '' + data.length
    }
    res.send(response)
}

module.exports.postAddressType = async (req, res) => {
    console.log('===== POST AddressType =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.putAddressType = async (req, res) => {
    console.log('===== PUT AddressType =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}

module.exports.deleteAddressType = async (req, res) => {
    console.log('===== DELETE AddressType =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "resultDescription": "Success"
    }

    res.send(response)
}