module.exports.getAllDiscountList = async (req, res) => {
    console.log('===== POST getAllDiscountList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "getAllDiscountListResponse": {
            "return": {
                "uuid": "ed41f948-565c-4900-a94d-ee63100e2fa4",
                "errorCode": "OSBbllngA10001",
                "message": "error."
            }
        }
    }

    let response = {
        "getAllDiscountListResponse": {
            "return": {
                "uuid": "ed41f948-565c-4900-a94d-ee63100e2fa4",
                "errorCode": "OSBbllngA00001",
                "message": "Success.",
                "totalSize": 1,
                "calculatedPageSize": 50,
                "agreementBasicOfferList": {
                    "size": 1,
                    "agreementBasicOfferInfo": [
                        {
                            "serviceAgreement": {
                                "agreementSocSequence": "1516667",
                                "agreementId": "1516667",
                                "expirationIssueDate": null,
                                "parentSocSequence": null,
                                "effectiveDate": "2021-06-08T10:11:51.000+07:00",
                                "effectiveIssueDate": "2021-06-08T10:11:51.000+07:00",
                                "socSequence": "1814357",
                                "expirationDate": null,
                                "status": "C"
                            },
                            "offerInfo": {
                                "socType": "D",
                                "code": "BSP014",
                                "name": "CVG012",
                                "description": "True Smart Choice Discount 499",
                                "serviceLevel": {
                                    "code": "C",
                                    "description": "Subscriber"
                                }
                            }
                        }
                    ]
                }
            }
        }
    }

    res.status(200).send(response)
}

module.exports.getFuturePromotionList = async (req, res) => {
    console.log('===== POST getFuturePromotionList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "getFuturePromotionListResponse": {
            "return": {
                "uuid": "ed41f948-565c-4900-a94d-ee63100e2fa4",
                "errorCode": "OSBbllngA10001",
                "message": "error."
            }
        }
    }

    let responseErr1 = `{1
        "getFuturePromotionListResponse": {
            "return": {
                "uuid": "ed41f948-565c-4900-a94d-ee63100e2fa4",
                "errorCode": "OSBbllngA10001",
                "message": "error."
            }
        }
    }`

    let response = {
        "getFuturePromotionListResponse": {
            "return": {
                "uuid": "df9f1de2-9d11-43e5-b836-7b589fb8e084",
                "errorCode": "OSBbllngA00001",
                "message": "Success.",
                "futureOfferList": {
                    "size": 4,
                    "futureOfferArray": [
                        {
                            "offer": {
                                "socType": "D",
                                "iddIndicator": "N",
                                "code": "14284917",
                                "rcRate": "0.0",
                                "irIndicator": "N",
                                "name": "VGSHFYYD228",
                                "description": "Disc. Subscription Fee for 6 Months Sub.",
                                "ffIndicator": "N",
                                "serviceLevel": {
                                    "code": "C",
                                    "description": "Subscriber"
                                },
                                "cugIndicator": "N"
                            },
                            "future": {
                                "orderType": null,
                                "activityReason": "CREQ",
                                "futureSource": "ADDSERVICES",
                                "futureSocParentId": null,
                                "futureId": null,
                                "futureType": "REQUEST",
                                "remark": null,
                                "futureSocId": "927420",
                                "createDate": "2018-02-27T23:59:59.000+07:00",
                                "status": {
                                    "code": "B",
                                    "description": "PROCESSING"
                                }
                            },
                            "serviceAgreement": {
                                "agreementSocSequence": null,
                                "agreementId": "1062554",
                                "expirationIssueDate": null,
                                "parentSocSequence": null,
                                "effectiveDate": "2018-02-28T00:00:00.000+07:00",
                                "effectiveIssueDate": "2018-02-27T23:59:59.000+07:00",
                                "socSequence": "927420",
                                "expirationDate": null,
                                "status": "F"
                            }
                        },
                        {
                            "offer": {
                                "socType": "U",
                                "iddIndicator": "N",
                                "code": "14053717",
                                "rcRate": "145.0",
                                "irIndicator": "N",
                                "name": "VGRET06S085",
                                "description": "#1 IRD/STD Happy Family HD",
                                "ffIndicator": "N",
                                "serviceLevel": {
                                    "code": "C",
                                    "description": "Subscriber"
                                },
                                "cugIndicator": "N"
                            },
                            "future": {
                                "orderType": null,
                                "activityReason": "CREQ",
                                "futureSource": "ADDSERVICES",
                                "futureSocParentId": null,
                                "futureId": null,
                                "futureType": "REQUEST",
                                "remark": null,
                                "futureSocId": "927421",
                                "createDate": "2018-02-27T23:59:59.000+07:00",
                                "status": {
                                    "code": "B",
                                    "description": "PROCESSING"
                                }
                            },
                            "serviceAgreement": {
                                "agreementSocSequence": null,
                                "agreementId": "1062554",
                                "expirationIssueDate": null,
                                "parentSocSequence": null,
                                "effectiveDate": "2018-02-28T00:00:00.000+07:00",
                                "effectiveIssueDate": "2018-02-27T23:59:59.000+07:00",
                                "socSequence": "927421",
                                "expirationDate": null,
                                "status": "F"
                            }
                        },
                        {
                            "offer": {
                                "socType": "D",
                                "iddIndicator": "N",
                                "code": "14297617",
                                "rcRate": "0.0",
                                "irIndicator": "N",
                                "name": "VGSHFYYD355",
                                "description": "Disc.Decoder Service Fee -6 Months Sub",
                                "ffIndicator": "N",
                                "serviceLevel": {
                                    "code": "C",
                                    "description": "Subscriber"
                                },
                                "cugIndicator": "N"
                            },
                            "future": {
                                "orderType": null,
                                "activityReason": "CREQ",
                                "futureSource": "ADDSERVICES",
                                "futureSocParentId": null,
                                "futureId": null,
                                "futureType": "FUTPP",
                                "remark": null,
                                "futureSocId": "927422",
                                "createDate": "2018-02-27T23:59:59.000+07:00",
                                "status": {
                                    "code": "B",
                                    "description": "PROCESSING"
                                }
                            },
                            "serviceAgreement": {
                                "agreementSocSequence": null,
                                "agreementId": "1062554",
                                "expirationIssueDate": null,
                                "parentSocSequence": null,
                                "effectiveDate": "2018-02-28T00:00:00.000+07:00",
                                "effectiveIssueDate": "2018-02-27T23:59:59.000+07:00",
                                "socSequence": "927422",
                                "expirationDate": null,
                                "status": "F"
                            }
                        },
                        {
                            "offer": {
                                "socType": "U",
                                "iddIndicator": "N",
                                "code": "11209513",
                                "rcRate": "145.0",
                                "irIndicator": "N",
                                "name": "VGRET01S001",
                                "description": "#1 IRD/STD",
                                "ffIndicator": "N",
                                "serviceLevel": {
                                    "code": "C",
                                    "description": "Subscriber"
                                },
                                "cugIndicator": "N"
                            },
                            "future": {
                                "orderType": null,
                                "activityReason": "CREQ",
                                "futureSource": "REQUEST",
                                "futureSocParentId": null,
                                "futureId": null,
                                "futureType": "UPDATESERVICES",
                                "remark": null,
                                "futureSocId": "265649",
                                "createDate": "2018-02-27T23:59:59.000+07:00",
                                "status": {
                                    "code": "B",
                                    "description": "PROCESSING"
                                }
                            },
                            "serviceAgreement": {
                                "agreementSocSequence": null,
                                "agreementId": "1062554",
                                "expirationIssueDate": null,
                                "parentSocSequence": null,
                                "effectiveDate": "2016-01-19T23:59:59.000+07:00",
                                "effectiveIssueDate": "2018-02-27T23:59:59.000+07:00",
                                "socSequence": "265649",
                                "expirationDate": "2018-02-28T00:00:00.000+07:00",
                                "status": "F"
                            }
                        }
                    ]
                }
            }
        }
    }

    res.status(200).send(response)
}

module.exports.getCurrentCUGList = async (req, res) => {
    console.log('===== POST getCurrentCUGList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "errorCode": "INT10001",
        "message": "error."
    }

    let response = {
        "uuid": "efa38396-ea5a-4b55-8a07-bed5cb998d4a",
        "errorCode": "INT00001",
        "message": "Success.",
        "cugOfferList": {
            "cugOfferArray": [
                {
                    "cug": {
                        "groupDescription": "HR 001",
                        "groupId": "623",
                        "groupIdentifier": "Test",
                        "groupName": "HR 001",
                        "groupType": "GAS"
                    },
                    "offerInfo": {
                        "code": "55092",
                        "description": "CUG On/Off Net (Package level)",
                        "name": "CCUGAS01",
                        "serviceLevel": {
                            "code": "C",
                            "description": "Subscriber"
                        },
                        "socType": "U"
                    },
                    "serviceAgreement": {
                        "agreementSocSequence": "58796",
                        "agreementId": "1052",
                        "expirationIssueDate": null,
                        "parentSocSequence": "58796",
                        "effectiveDate": "2013-05-12T16:46:04.000+07:00",
                        "effectiveIssueDate": "2013-05-12T16:46:04.000+07:00",
                        "socSequence": "58796",
                        "expirationDate": null,
                        "status": "A"
                    }
                }
            ],
            "size": 1
        }
    }

    res.status(200).send(response)
}

module.exports.getCurrentFriendFamilyList = async (req, res) => {
    console.log('===== POST getCurrentFriendFamilyList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "errorCode": "INT10001",
        "message": "error."
    }

    let response = {
        "uuid": "431db28c-851c-4185-9256-18d4f012d563",
        "errorCode": "INT00001",
        "message": "Success.",
        "ffOfferList": {
            "ffOfferArray": [
                {
                    "ffNumberArray": "0937965195;0870300146",
                    "ffNumberEffectiveDate": "2013-11-05T11:09:45.000+07:00",
                    "offerInfo": {
                        "code": "10197910",
                        "description": "Free call and Free SMS for same Family(F&F)",
                        "name": "FFVSMS01",
                        "serviceLevel": {
                            "code": "C",
                            "description": "Subscriber"
                        },
                        "socType": "U"
                    },
                    "serviceAgreement": {
                        "agreementSocSequence": 158407,
                        "agreementId": 4665,
                        "expirationIssueDate": null,
                        "parentSocSequence": null,
                        "effectiveDate": "2013-11-05T11:06:27.000+07:00",
                        "effectiveIssueDate": "2013-11-05T11:06:27.000+07:00",
                        "socSequence": 158407,
                        "expirationDate": null,
                        "status": "A"
                    }
                }
            ],
            "size": 1
        }
    }

    res.status(200).send(response)
}

module.exports.getCurrentSpendingLimitList = async (req, res) => {
    console.log('===== POST getCurrentSpendingLimitList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "errorCode": "INT10001",
        "message": "error."
    }

    let response = {
        "uuid": "e1aa3505-c7d4-4e2f-83b7-a4d0dacdcf2d",
        "errorCode": "INT00001",
        "message": "Success.",
        "spendingLimitList": {
            "size": 1,
            "spendingLimitArray": [
                {
                    "offerInfo": {
                        "code": "31262",
                        "description": "Spending limit offer",
                        "name": "BALANCELIMIT",
                        "serviceLevel": {
                            "code": "C",
                            "description": "Subscriber"
                        },
                        "socType": "U"
                    },
                    "serviceAgreement": {
                        "agreementSocSequence": 10064,
                        "agreementId": 1052,
                        "expirationIssueDate": null,
                        "parentSocSequence": null,
                        "effectiveDate": "2013-03-02T10:53:45.000+07:00",
                        "effectiveIssueDate": "2013-03-02T10:53:45.000+07:00",
                        "socSequence": 10064,
                        "expirationDate": null,
                        "status": "A"
                    },
                    "spendingLimitInfo": {
                        "firstTriggerPercentage": 0,
                        "incrementTriggerPercentage": 0,
                        "thresholdAmount": 0
                    }
                }
            ]
        }
    }

    res.status(200).send(response)
}

module.exports.getCurrentCreditLimitAtSubList = async (req, res) => {
    console.log('===== POST getCurrentCreditLimitAtSubList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "errorCode": "INT10001",
        "message": "error.",
    }

    let response = {
        "uuid": "09dc5cf6-6cfb-4732-baed-b29dba320069",
        "errorCode": "INT00001",
        "message": "Success.",
        "creditLimitAtSubList": {
            "creditLimitAtSubArray": [
                {
                    "creditLimitAtSubInfo": {
                        "firstTriggerPercent": 0,
                        "incrementTriggerPercent": 0,
                        "permanentThreshold": 5000,
                        "temporaryThreshold": 4454
                    },
                    "offerInfo": {
                        "code": "212158",
                        "description": "Credit_Limit_at_Sub for Enterprise",
                        "name": "Credit_Limit_at_Sub",
                        "serviceLevel": {
                            "code": "C",
                            "description": "Subscriber"
                        },
                        "socType": "U"
                    },
                    "serviceAgreement": {
                        "agreementSocSequence": null,
                        "agreementId": 1025625,
                        "expirationIssueDate": null,
                        "parentSocSequence": null,
                        "effectiveDate": "2014-02-23T23:59:59.000+07:00",
                        "effectiveIssueDate": "2014-02-23T23:59:59.000+07:00",
                        "socSequence": 152147,
                        "expirationDate": null,
                        "status": "A"
                    }
                }
            ],
            "size": 1
        }
    }

    res.status(200).send(response)
}

module.exports.getCurrentSplitChargeInfo = async (req, res) => {
    console.log('===== POST getCurrentSplitChargeInfo =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "errorCode": "INT10001",
        "message": "error.",
    }

    let response = {
        "uuid": "a4a2ff41-cfd4-407a-9729-f6636ccc0e24",
        "errorCode": "INT00001",
        "message": "Success.",
        "splitChargeParameterInfo": {
            "basicOfferInfo": {
                "code": "493178",
                "description": "SPLITS01",
                "name": "Split Charge Offer",
                "serviceLevel": {
                    "code": "C",
                    "description": "Subscriber"
                },
                "socType": "U"
            },
            "serviceAgreementInfo": {
                "agreementSocSequence": 1147381,
                "agreementId": 1078490,
                "expirationIssueDate": null,
                "parentSocSequence": null,
                "effectiveDate": "2018-12-06T14:48:16.000+07:00",
                "effectiveIssueDate": "2018-12-06T14:48:16.000+07:00",
                "socSequence": 1147381,
                "expirationDate": null,
                "status": "A"
            },
            "splitChargeParameterInfo": {
                "splitCode": "UTC_URU015",
                "splitDescription": "UTC 2500",
                "splitPeriod": "NONE",
                "targetAccountNo": 11029510,
                "targetPCN": 11029510
            }
        }
    }

    res.status(200).send(response)
}

module.exports.getBillImage = async (req, res) => {
    console.log('===== POST getBillImage =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', JSON.stringify(req.body));

    let responseErr = {
        "errorCode": "INT10001",
        "message": "error.",
    }

    let response = {
        "errorCode": "OSBbllngA00001",
        "message": "Success.",
        "uuid": "e3d8a473-6111-48cb-bf7c-dc0e5c024d24",
        "backendResponseList": {
            "backendResponseInfoArray": [
                {
                    "apiName": "getBillDocumentInfo",
                    "errorCode": "OSBbllngA00001",
                    "message": "Success.",
                    "system": "OSB",
                    "url": "http://172.19.204.90:8011/ESB_Get_FinancialManagementInfo/Interfaces/Proxy/BillingInfoPS"
                },
                {
                    "apiName": "getBillImageBySearchList",
                    "errorCode": "OSBbllngA00001",
                    "message": "Success.",
                    "system": "CCCSOA",
                    "url": "http://172.19.216.171:8180/BillingServiceIntegration/BillingServiceIntegrationSI"
                }
            ],
            "size": 2
        },
        "billImageInfo": {
            "fileBytesArray": "JVBERi0xLjYKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovUGFnZXMg..."
        }
    }

    res.status(200).send(response)
}
