module.exports.getAllCCBSInvoiceList = async (req, res) => {
    console.log('===== GET getAllCCBSInvoiceList =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let responseErr = {
        "getAllInvoiceListResponse": {
            "return": {
                "uuid": "ed41f948-565c-4900-a94d-ee63100e2fa4",
                "errorCode": "OSBbllngA10001",
                "message": "error."
            }
        }
    }

    let response = {
        "getAllInvoiceListResponse": {
            "return": {
                "invoiceList": {
                    "size": "28",
                    "invoiceInfoArray": [
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2021-06-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2021-06-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTFaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2021-05-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "13522",
                            "invoiceNo": "070520211000425014",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-06-02T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2021-05-11T00:00:00.000+07:00",
                            "disputeNetAmount": "1.0",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "5",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "000520211000134302",
                            "coveredAmount": "1175.93",
                            "invoiceId": "1067822",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2021-04-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2021-05-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2021-05-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2021-05-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2021-04-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "13521",
                            "invoiceNo": "070420211000419181",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-04-29T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2021-04-29T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "4",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "000420211000131905",
                            "coveredAmount": "1175.93",
                            "invoiceId": "1039597",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2021-03-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2021-04-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "0",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "30",
                            "dueDate": "2021-05-03T00:00:00.000+07:00",
                            "orderIdGroup": "INTEREST",
                            "vatRate": "0.00",
                            "discountAmount": "0",
                            "invoiceTaxAmount": "0",
                            "invoiceAmount": "30",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "30.00",
                            "baNo": "200078606",
                            "billTaxAmount": "0",
                            "billingDocumentType": {
                                "code": null,
                                "description": ""
                            },
                            "billAmount": "30",
                            "invoiceType": "DCB",
                            "currency": "THB",
                            "billSequenceNo": "-1",
                            "invoiceNo": "AR1008437",
                            "originalBalanceAmount": "30",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-03-25T00:00:00.000+07:00",
                            "unpaidNetAmount": "30.00",
                            "availableAdjustmentAmount": "30",
                            "discountNetAmount": "0",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": null,
                                "description": ""
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "0",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "4",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "",
                            "coveredAmount": "30",
                            "invoiceId": "1008437",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "0",
                            "chargeCode": "CN",
                            "invoiceChargeType": "INTEREST"
                        },
                        {
                            "discountTaxAmount": "0",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "20",
                            "dueDate": "2021-06-30T00:00:00.000+07:00",
                            "orderIdGroup": "COLLECTION",
                            "vatRate": "0.00",
                            "discountAmount": "0",
                            "invoiceTaxAmount": "1.4",
                            "invoiceAmount": "20",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "21.40",
                            "baNo": "200078606",
                            "billTaxAmount": "1.4",
                            "billingDocumentType": {
                                "code": null,
                                "description": ""
                            },
                            "billAmount": "21.4",
                            "invoiceType": "IMCG",
                            "currency": "THB",
                            "billSequenceNo": "-1",
                            "invoiceNo": "AR1008438",
                            "originalBalanceAmount": "21.4",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-03-25T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "21.4",
                            "discountNetAmount": "0",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": null,
                                "description": ""
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "0",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "4",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "",
                            "coveredAmount": "21.4",
                            "invoiceId": "1008438",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "0",
                            "chargeCode": "OCOLETYPEN",
                            "invoiceChargeType": "COLLECTION",
                            "periodCvrgStartDate": "test"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2021-04-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2021-04-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2021-03-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "13520",
                            "invoiceNo": "070320211000407751",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-03-11T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2021-03-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "3",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "000320211000127159",
                            "coveredAmount": "1175.93",
                            "invoiceId": "1000161",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2021-02-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2021-03-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2021-03-06T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2021-03-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2021-02-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "13519",
                            "invoiceNo": "070220211000401371",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-02-11T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2021-02-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "2",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "000220211000124604",
                            "coveredAmount": "1175.93",
                            "invoiceId": "980412",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2021-01-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2021-02-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2021-02-04T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2021-02-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2021-01-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "13518",
                            "invoiceNo": "070120211000396255",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-02-09T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2021-01-12T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "1",
                                "year": "2021"
                            },
                            "convergenceInvoiceNo": "000120211000122719",
                            "coveredAmount": "1175.93",
                            "invoiceId": "972993",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-12-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2021-01-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2021-01-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2021-01-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-12-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "13517",
                            "invoiceNo": "071220201000390140",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2021-01-11T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-12-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "12",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "001220201000120357",
                            "coveredAmount": "1175.93",
                            "invoiceId": "947231",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-11-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-12-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-12-04T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-12-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-11-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12322",
                            "invoiceNo": "071120201000380044",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-12-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-11-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "11",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "001120201000116354",
                            "coveredAmount": "1175.93",
                            "invoiceId": "923352",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-10-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-11-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-11-07T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-11-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-10-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12321",
                            "invoiceNo": "071020201000372117",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-11-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-10-15T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "10",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "001020201000113150",
                            "coveredAmount": "1175.93",
                            "invoiceId": "897899",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-09-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-10-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-10-04T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-10-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-09-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12320",
                            "invoiceNo": "070920201000365119",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-10-12T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-09-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "9",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000920201000110303",
                            "coveredAmount": "1175.93",
                            "invoiceId": "876673",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-08-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-09-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-09-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-09-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-08-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12319",
                            "invoiceNo": "070820201000358413",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-09-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-08-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "8",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000820201000107389",
                            "coveredAmount": "1175.93",
                            "invoiceId": "853865",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-07-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-08-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-08-07T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-08-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-07-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12318",
                            "invoiceNo": "070720201000353116",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-07-14T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-07-15T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "7",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000720201000105073",
                            "coveredAmount": "1175.93",
                            "invoiceId": "821290",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-06-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-07-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-07-04T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-07-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-06-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12317",
                            "invoiceNo": "070620201000344204",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-07-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-06-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "6",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000620201000101367",
                            "coveredAmount": "1175.93",
                            "invoiceId": "817165",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-05-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-06-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-06-04T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-06-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-05-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12316",
                            "invoiceNo": "070520201000333087",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-06-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-05-12T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "5",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000520201000096853",
                            "coveredAmount": "1175.93",
                            "invoiceId": "799731",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-04-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-05-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-05-08T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-05-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-04-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12315",
                            "invoiceNo": "070420201000328372",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-04-15T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-04-15T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "4",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000420201000094791",
                            "coveredAmount": "1175.93",
                            "invoiceId": "765860",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-03-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-04-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-04-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-04-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-03-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "12314",
                            "invoiceNo": "070320201000323209",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-03-12T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-03-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "3",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000320201000092460",
                            "coveredAmount": "1175.93",
                            "invoiceId": "756239",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-02-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-03-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-03-06T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-03-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-02-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11365",
                            "invoiceNo": "070220201000320402",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-02-13T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-02-12T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "2",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000220201000091241",
                            "coveredAmount": "1175.93",
                            "invoiceId": "737341",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2020-01-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-02-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-02-06T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-02-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2020-01-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11364",
                            "invoiceNo": "070120201000316273",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-02-11T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2020-01-14T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "1",
                                "year": "2020"
                            },
                            "convergenceInvoiceNo": "000120201000089461",
                            "coveredAmount": "1175.93",
                            "invoiceId": "733755",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-12-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2020-01-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2020-01-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2020-01-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-12-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11363",
                            "invoiceNo": "071220191000303593",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2020-01-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-12-12T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "12",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "001220191000085698",
                            "coveredAmount": "1175.93",
                            "invoiceId": "721672",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-11-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-12-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-12-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-12-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-11-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11362",
                            "invoiceNo": "071120191000300541",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-12-11T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-11-14T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "11",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "001120191000084238",
                            "coveredAmount": "1175.93",
                            "invoiceId": "710941",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-10-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-11-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-11-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-11-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-10-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11361",
                            "invoiceNo": "071020191000294086",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-10-29T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-10-12T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "10",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "001020191000081198",
                            "coveredAmount": "1175.93",
                            "invoiceId": "698525",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-09-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-10-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-10-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-10-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-09-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11360",
                            "invoiceNo": "070920191000287463",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-10-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-09-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "9",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "000920191000077944",
                            "coveredAmount": "1175.93",
                            "invoiceId": "686376",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-08-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-09-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-09-15T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-09-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-08-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "11359",
                            "invoiceNo": "070820191000283117",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-09-10T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-08-23T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "8",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "000820191000075952",
                            "coveredAmount": "1175.93",
                            "invoiceId": "673817",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-07-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-08-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1099",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-08-03T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-08-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "76.93",
                            "invoiceAmount": "1099",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1175.93",
                            "baNo": "200078606",
                            "billTaxAmount": "307.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4703.72",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-07-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "10826",
                            "invoiceNo": "070720191000277763",
                            "originalBalanceAmount": "1175.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-08-15T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1266.72",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-07-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "7",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "000720191000073449",
                            "coveredAmount": "1175.93",
                            "invoiceId": "657230",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-06-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-07-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1273.19",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-07-25T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-07-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "89.12",
                            "invoiceAmount": "1273.19",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1362.31",
                            "baNo": "200078606",
                            "billTaxAmount": "534.72",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "8173.86",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-05-23T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "10825",
                            "invoiceNo": "070620191000273678",
                            "originalBalanceAmount": "1362.31",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-07-08T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1667.91",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-07-02T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "6",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "000620191000071939",
                            "coveredAmount": "1362.31",
                            "invoiceId": "641486",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-05-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-06-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-140",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "799",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-06-07T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-06-09T00:00:00.000+07:00",
                            "discountAmount": "-2000",
                            "invoiceTaxAmount": "55.93",
                            "invoiceAmount": "799",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "854.93",
                            "baNo": "200078606",
                            "billTaxAmount": "111.86",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "1709.86",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-05-10T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "10824",
                            "invoiceNo": "070520191000267249",
                            "originalBalanceAmount": "854.93",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-05-14T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "770.86",
                            "discountNetAmount": "-2000",
                            "billDate": "2019-05-15T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2000",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "5",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "000520191000069097",
                            "coveredAmount": "854.93",
                            "invoiceId": "618286",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "140",
                            "periodCvrgStartDate": "2019-04-10T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-05-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        },
                        {
                            "discountTaxAmount": "-203.22",
                            "adjustmentNetAmount": "0",
                            "availableAdjustmentNetAmount": "1159.84",
                            "invoiceBcBanId": "700046423",
                            "dueDate": "2019-05-04T00:00:00.000+07:00",
                            "orderIdGroup": "",
                            "vatRate": "0.00",
                            "converageEndDate": "2019-05-09T00:00:00.000+07:00",
                            "discountAmount": "-2903.22",
                            "invoiceTaxAmount": "81.19",
                            "invoiceAmount": "1159.84",
                            "invoiceStatusChangeDate": "2021-06-15T00:00:00.000+07:00",
                            "paymentAmount": "1241.03",
                            "baNo": "200078606",
                            "billTaxAmount": "324.76",
                            "billingDocumentType": {
                                "code": "BL",
                                "description": "Bill"
                            },
                            "billAmount": "4964.12",
                            "invoiceType": "BILL",
                            "converageStartDate": "2019-03-27T00:00:00.000+07:00",
                            "currency": "THB",
                            "billSequenceNo": "10823",
                            "invoiceNo": "070420191000263712",
                            "originalBalanceAmount": "1241.03",
                            "customerManagerBaNo": "200078606",
                            "invoiceCreationDate": "2019-05-07T00:00:00.000+07:00",
                            "unpaidNetAmount": "0",
                            "availableAdjustmentAmount": "1281.38",
                            "discountNetAmount": "-2903.22",
                            "billDate": "2019-04-11T00:00:00.000+07:00",
                            "disputeNetAmount": "0.00",
                            "creditTaxAmount": "0",
                            "accountId": "200078606",
                            "billProductType": "",
                            "billingDocumentStatus": {
                                "code": "N",
                                "description": "Confirmed"
                            },
                            "unpaidAmount": "0",
                            "restrictionAmount": "2903.22",
                            "disputeTaxAmount": "0.00",
                            "invoiceCycle": {
                                "code": "10",
                                "month": "4",
                                "year": "2019"
                            },
                            "convergenceInvoiceNo": "000420191000067436",
                            "coveredAmount": "1241.03",
                            "invoiceId": "615220",
                            "performanceIndStatus": "",
                            "unpaidTaxAmount": "0",
                            "invoiceStatus": "C",
                            "adjustmentAmount": "0",
                            "restrictionTaxAmount": "203.22",
                            "periodCvrgStartDate": "2019-03-27T00:00:00.000+07:00",
                            "periodCvrgEndDate": "2019-04-09T00:00:00.000+07:00",
                            "invoiceChargeType": "BILL"
                        }
                    ]
                },
                "totalSize": "28",
                "calculatedPageSize": "100",
                "errorCode": "OSBbllngA00001",
                "message": "Success.",
                "uuid": "07b92f9a-df39-4ed0-8123-042debc974ba"
            }
        }
    }

    res.status(200).send(response)
}