module.exports.getProfileType = async (req, res) => {
    console.log('===== GET ProfileType =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let response = {
        "resultCode": "20000",
        "developerMessage": "Success",
        "detail": {
            "networkType":"3PE",
            "spName": "ais",
            "brandId": "5",
            "language": "tha",
            "state": "active",
            "chargeMode": "prepaid",
            "customerCategory": "residential",
            "customerSubCategory": "thaiCitizen",
            "customerSegment": "classic",
            "customerId": "662571977736387",
            "serviceProfileId": "6",
            "contactNumber": "66614593898",
            "profileType": "Prepaid RTBS",
            "ivrLanguage": "tha",
            "smsLanguage": "tha",
            "ussdLanguage": "tha",
            "emailLanguage": "tha"
        }
    }
    

    res.send(response)
}

module.exports.queryHistoryPackage = async (req, res) => {
    console.log('===== POST QueryHistoryPackage =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "developerMessage": "Success",
        "subscriberPackage":{
            "mobileNo": "0923029000",
            "profileType":"Prepaid RTBS",
            "packageList":[
                {
                    "promotionName": "M NBA Free Trial 1M 199Baht Monthly",
                    "promotionCode": "7400110",
                    "startDate": "2018-05-31 14:23:03",
                    "status":"A"
                },
                {
                    "promotionName": "M HOOQ Package Free 12 Months",
                    "promotionCode": "7400115",
                    "startDate": "2018-05-31 15:15:59",
                    "status":"A"
                },
                {
                    "promotionName": "NG Cartoons 5Baht Daily",
                    "promotionCode": "7400121",
                    "startDate": "2018-05-31 16:15:59",
                    "status":"H"
                }
            ]
        }
    }

    res.send(response)
}

module.exports.queryCurrentPackage = async (req, res) => {
    console.log('===== POST QueryCurrentPackage =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "subscriberPackage": {
          "profileType": "NON AIS",
          "mobileNo": "0990621789",
          "packageList": [
            {
              "promotionName": "INS_NF NG PLAY PREMIUM IAP APPLE TV 99M",
              "promotionCode": "4007",
              "startDate": "2020-08-01 11:00:13",
              "status": "A",
              "packageDescEN": null,
              "promotionSeq": "4007",
              "packageNameTH": null,
              "endDate": "2028-10-31 23:59:59",
              "integrationName": null,
              "packageDescTH": null,
              "packageNameEN": null,
              "packageType": null,
              "packageID": null
            }
          ]
        },
        "developerMessage": "Success",
        "responseMessage": "Success",
        "subscriberPackage":{
            "mobileNo": "0923029000",
            "profileType":"Prepaid INS",
            "packageList":[
                {
                    "promotionName": "NG New PLAY PREMIUM 199B Monthly|NG_PLAY PREMIUM_In199B_99Months",
                    "packageNameEN":"xxxxxxxxx",
                    "packageNameTH":"xxxxxxxxx",
                    "startDate": "2018-05-31 14:23:03",
                    "endDate": "2018-05-31 14:23:03",
                    "promotionCode": "P200128067",
                    "packageType":"Main",
                    "integrationName":"INS_3G 1000B 60Days Net 4Mbps SWifi UL",
                    "packageDescEN":"xxxxxxxxx",
                    "packageDescTH":"xxxxxxxxx",
                    "promotionSeq":"1002"
                },
                {
                    "promotionName": "M NBA Free Trial 1M 199Baht Monthly",
                    "packageNameEN":"xxxxxxxxx",
                    "packageNameTH":"xxxxxxxxx",
                    "promotionCode": "P2007229612",
                    "startDate": "2018-05-31 14:23:03",
                    "endDate": "2018-05-31 14:23:03",
                    "integrationName":"INS_3G 1000B 60Days Net 4Mbps SWifi UL1",
                    "packageType":"Ontop Extra",
                    "packageDescEN":"xxxxxxxxx",
                    "packageDescTH":"xxxxxxxxx",
                    "promotionSeq":"1003"
                }
            ]
        }
    }
    
    res.send(response)
}

module.exports.applyPack = async (req, res) => {
    console.log('===== POST applyPack =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "20000",
        "developerMessage": "Success",
        "ussdMessage": "ระบบกำลังตรวจสอบข้อมูล กรุณารอรับข้อความแจ้งสิทธิ์ของท่านค่ะ",
        "responseMessage": "success"
    }
      
    // let response = {"responseMessage":"ขออภัยค่ะ ไม่สามารถทำรายการได้ในขณะนี้ กรุณาใช้บริการใหม่ภายหลังค่ะ","resultCode":"40400","developerMessage":"Url not found"}
    
    res.status(200).send(response)
}

module.exports.deletePackage = async (req, res) => {
    console.log('===== POST deletePackage =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);
    console.log('body', req.body);

    let response = {
        "resultCode": "SSBPKG-009010202",
        "developerMessage": "TUXEDO Error",
        "ussdMessage": "Please wait for confirmation SMS shortly.",
        "responseMessage": "Thank you, your package has been deleted."
    }
      
    
    res.status(500).send(response)
}
